### Method

# Gio BufferedOutputStream set_auto_grow

#### Declaration

    void
    g_buffered_output_stream_set_auto_grow (
      GBufferedOutputStream* stream,
      gboolean auto_grow
    )

#### Description

Sets whether or not the `stream`‘s buffer should automatically grow. If `auto_grow` is true, then each write will just make the buffer larger, and you must manually flush the buffer to actually write out the data to the underlying stream.

Sets property | `Gio.BufferedOutputStream:auto-grow`

#### Parameters

`auto_grow`

  Type: `gboolean`

  A #gboolean.